package com.vr4p.admin.vr4pnativedemo;

import android.app.Application;
import android.content.Context;
import android.util.Log;


import com.vr4p.admin.lib.VREngine;

import java.io.File;


public class VR4PApplication extends Application
{
    File    fExtCacheDir;

    String   strExtCacheDir;

    public void onCreate()
    {
        super.onCreate();

        Context context = getApplicationContext();
        try
        {
            fExtCacheDir=context.getExternalCacheDir();
            assert fExtCacheDir != null;
            if(!fExtCacheDir.exists())
                fExtCacheDir.mkdirs();
            strExtCacheDir = fExtCacheDir.getAbsolutePath();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        VREngine.InitVR4P(strExtCacheDir,context,getClassLoader());
        VREngine.RegLicense("660001201710120001","");
    }

    public void onTerminate()
    {
        Log.e("VR4PApp","Before onTerminate");
        VREngine.StopVRV();
        VREngine.UninitVR4P();
        Log.e("VR4PApp","End onTerminate");
        super.onTerminate();
    }
}